build: Fix autogen.sh to allow out-of-tree builds

Reviewed-by: Kenneth Graunke <kenneth@whitecape.org>
diff --git a/autogen.sh b/autogen.sh
index b5f6ec4..626d213 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -3,17 +3,11 @@
 srcdir=`dirname "$0"`
 test -z "$srcdir" && srcdir=.
 
-SRCDIR=`(cd "$srcdir" && pwd)`
 ORIGDIR=`pwd`
-
-if test "x$SRCDIR" != "x$ORIGDIR"; then
-	echo "Mesa cannot be built when srcdir != builddir" 1>&2
-	exit 1
-fi
-
-MAKEFLAGS=""
+cd "$srcdir"
 
 autoreconf -v --install || exit 1
+cd $ORIGDIR || exit $?
 
 if test -z "$NOCONFIGURE"; then
     "$srcdir"/configure "$@"